extensions / Commerce extension
POST
/__runtime/product-reviewsCreate Product Review
Creates a product review for a storefront product, optionally attributing it to the authenticated storefront user.
GETPOST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Public storefront endpoint resolved from the request Host; an authenticated storefront session is optional.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
Request Body
Schema: ProductReviewCreateRequest
| Field | Required | Type | Details |
|---|---|---|---|
product_id | No | integer | Description: Target product identifier. |
product_slug | No | string | Description: URL-safe slug value. |
reviewer_name | No | string | Description: Text value. |
reviewer_email | No | string | Description: Text value. |
title | No | string | Description: Display title. |
body | No | string | Description: Text value. |
image_url | No | string | Description: Text value. |
ratings | No | JSON | Description: JSON object. |
Response Body
Example 200 response
json
{
"ok": "string",
"review_id": 1,
"product_id": 1
}Errors
400 BAD_REQUEST500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

